com.sun.mail.dsn

## Class Report

- java.lang.Object
- - com.sun.mail.dsn.Report

- Direct Known Subclasses:
    DeliveryStatus, DispositionNotification

      public abstract class Report
      extends Object

  An abstract report type, to be included in a MultipartReport. Subclasses define specific report types, such as `DeliveryStatus` and `DispositionNotification`.
  Since:
    JavaMail 1.4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Report(String type)` Construct a report of the indicated MIME subtype.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()` Get the MIME subtype of the report.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected String type

  - ### Constructor Detail

    - #### Report

          protected Report(String type)

      Construct a report of the indicated MIME subtype. The primary MIME type is always "message".
      Parameters:
        `type` - the MIME subtype

  - ### Method Detail

    - #### getType

          public String getType()

      Get the MIME subtype of the report. The primary MIME type is always "message".
      Returns:
        the MIME subtype

Copyright © 2016 Oracle. All rights reserved.